Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I have a problem with amsmath package. After an update this package was removed because it was obsolete. But what package can use instead of amsmath?

share|improve this question
1  
I updated MikTeX 2.9 today and amsmath is still there. Another ams package was removed though, with the mention 'obsolete', as you say, but I really don't remember which... :/ –  Count Zero Feb 4 '13 at 21:41
    
Can you provide more details of the update? How did you perform it- using the appropriate package manager as in How do I update my TeX distribution? ? –  cmhughes Feb 4 '13 at 21:41
    
Hmmmm... I checked package manager and updater. After update was some problem with file (no premission to write or something in C:\Users\Jablon\AppData\Local\MiKTeX\2.9\miktex\data\le fokder). I have restarted my machine and i deleted this. It works now :) It was some M$ problem probably. Thanks for help. –  Jablon Feb 4 '13 at 21:54
add comment

5 Answers

MiKTeX has reorganized the package amslatex. Therefore the update removes it:

Package update list

The package amslatex is split in amsmath and amscls. (Also there is a new package amslatex-primer):

"ams" packages in MiKTeX

However, the update has not installed the new packages automatically. Therefore I have installed them manually. For AmSLaTeX you need at least amsmath. It contains the package file amsmath.sty. amscls contains the AMS classes (amsbook.cls, …).

"ams" packages all installed

Finally the local repository database is synchronized by calling the MiKTeX Package Manager, menu item RepositorySynchronize, see comment of Ulrike Fischer.

share|improve this answer
10  
When miktex rearranges packages one should synchronize the local repository database to get it up to date. The command is in "Repository" menu of the package manager. After the synchronization miktex will reinstall the files on-the-fly when you try to use them. –  Ulrike Fischer Feb 5 '13 at 8:13
4  
@UlrikeFischer Thanks. It eludes me, why the synchronization is not already done by the update in the first place. –  Heiko Oberdiek Feb 5 '13 at 9:07
    
Probably to save time and bandwidth. Normally everything works fine even without synchronization. –  Ulrike Fischer Feb 5 '13 at 9:25
    
@UlrikeFischer When miktex-etex-base-2,9 (iirc) was renamed to miktex-etex-base-2.9 and I tried "Update Formats", I got an error. So even if running pdflatex over some document and then installing packages on the fly was a solution in principle, the current way MiKTeX is implemented is not stable in the sense of it not having prevented this error. –  Lover of Structure Apr 13 '13 at 23:18
    
@UlrikeFischer I was at some point prompted to reinstall something (I think it was miktex-etex-base-2,9, but it's been a while) on the fly, and it might even have been the "Update Formats" process which did this immediately after the error (I forgot whether it was so), but only after I figured out to manually add miktex-etex-base-2.9 (with a period) via the package manager, everything started to work seamlessly again. –  Lover of Structure Apr 13 '13 at 23:19
add comment

amsmath is definitely not obsolete! It may have some old and unrepaired bugs, but it still has the status "maintained" and AMS has every intention of keeping it that way.

Something else must have gone wrong with your update.

EDIT: amsmath and the AMS document classes + amsthm used to be combined on CTAN under the name amslatex. They have always been separate in TeX Live, and, although originally bundled together on the AMS server, were repackaged in mid-2010 to be distributed in two parts.

This split was implemented in late January on CTAN, concurrent with a minor update (version 2.14) "to provide more fluid interoperability with stix.sty. It should be fully compatible with version 2.13."

The consequences of this change (and the ensuing confusion) eluded me when i first answered this question, a fact for which i apologize.

share|improve this answer
16  
Shouldn't this answer be "uppercased"? ;-) –  egreg Feb 4 '13 at 22:05
5  
@egreg -- hmmmmph. it's after quitting time. (okay, i did it anyhow.) –  barbara beeton Feb 4 '13 at 22:10
add comment

I had a similar problem today. I ran the update a second time, and that eliminated the error message.

share|improve this answer
    
Welcome to TeX.sx! –  tohecz Feb 25 '13 at 22:23
    
In my case amsmath was already installed. Updating miktex solved the issue. –  chelder Apr 21 at 22:57
add comment

You can use mathtools instead (you should it instead of amsmath because it fixes a bug).

share|improve this answer
16  
mathtools requires amsmath so this wouldn't work if amsmath were missing! –  cgnieder Feb 4 '13 at 22:01
add comment

After manually installing package amsmath, amscls and amslatex-primer, you might have an error about etex.sty not found.

You can fix it by using "Package Manager (Admin)" from MiKTeX 2.9.

Choose Repository > Synchronize

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.